@import url(../../common/css/_reset.css);

/* css */
.inner {
    width: calc(100% - 80px);
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100dvb;
    gap: 200px;
}

::placeholder,
.readonly {
    color: #666;
}

.login_container {
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.login_container::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -2;
}

.login_container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 80%;
    height: 100%;
    background: linear-gradient(90deg, #00000060 0%, #00000000 100%);
    z-index: -1;
}

.company_area {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: -1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.company_title {
    flex: 1;
}

.company_title img {
    width: 500px;
    margin: 0 auto;
    margin-bottom: 20px;
}

/* .company_title span, .company_title p {
    font-weight: 400;
    color: #fff;
    text-align: center;
    transform: skewX(-5deg);
    box-sizing: border-box;
}
.company_title span {
    display: block;
    font-size: 60px;
    margin-bottom: 10px;
}
.company_title p {
    font-size: 80px;
    font-weight: 700;
} */


.login_container .login_area {
    min-width: 400px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    /* margin-right: auto; */
    padding: 50px 60px 55px;
    background: #fff;
    border-radius: 50px;
    box-sizing: border-box;
}

.login_container .login_area form {
    width: 100%;
}

.login_container .form_box {
    position: relative;
    margin: 0 auto;
    margin-bottom: 30px;

}
.login_container .title_box .form_title {
    text-align: center;
    font-size: 30px;
    font-weight: 700;
    color: #3b3b3b;
    margin-bottom: 30px;
}

/* .login_container .form_title::before{
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 32px;
    height: 32px;
} */
.login_container form fieldset {
    display: flex;
    flex-direction: column;
    gap: 15px;
    border: 0;
}

.login_container form fieldset .form-group {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.login_container form fieldset .form-group label {
    width: 60px;
}

.login_container form fieldset .form-group input {
    flex: 1;
}

.login_container form fieldset input {
    padding: 14px 20px;
    font-size: 18px;
    background: #fff;
    border: 1px solid #d4dbe0;
    border-radius: 10px;
}

.login_container form fieldset input.readonly {
    font-size: 16px;
    background: #e5e9ee;
    color: #8e9499;
}

.login_container form fieldset .btn-login {
    padding: 15px 30px;
    font-size: 20px;
    font-weight: 600;
    border-radius: 10px;
    background-color: #2f6f4e;
    color: #fff;
    margin-top: 30px;
}

.login_container .checkbox {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 5px;
}

.login_container .checkbox input {
    padding: 0;
    width: 17px;
    height: 17px;
    accent-color: #2f6f4e;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    /* 자동완성 배경색 */
    -webkit-box-shadow: 0 0 0 1000px #fff inset;
    box-shadow: 0 0 0 1000px #fff inset;
    /* 자동완성 글자색 */
    -webkit-text-fill-color: #000;
    font-size: 18px;
    font-weight: 600;
}

.login_container .download {
    margin: 50px 0 20px 0;
}

.login_container .download a {
    display: inline-block;
    font-size: 16px;
    color: #fff;
    padding: 10px 25px;
    border-radius: 50px;
    background-color: #2f6f4e;
}

.login_container .search_box {  border-radius: 10px;   flex: 1;
    width: 100%; display: flex; align-items: center; font-size: 18px; gap: 10px; background: #fff; border: 1px solid #d4dbe0; } 

.login_container .search_box select { width: 100%; padding: 14px 20px; padding-right: 30px; background: url(../img/arrow_down.svg) no-repeat 90% 50%/9px;} 
.login_container .search_box select option { width: 100%; } 
.alert.alert-danger {
    text-align: center;
    color: #d62929;
}
@media (max-width: 1500px) {
    .inner {
        gap: 100px;
    }
}

@media (max-width: 1300px) {
    .inner {
        gap: 50px;
    }

    /* .company_title span {
        display: block;
        font-size: 30px;
    }

    .company_title p {
        font-size: 50px;
        font-weight: 700;
    } */
}

@media (max-width: 1025px) {
    /* .company_title {
        position: fixed;
        top: 30px;
        left: 0;
        width: 540px;
        margin: 0 60px;
    } */
    .inner {
        flex-direction: column-reverse;
        justify-content: center;
    }
    .company_title {
        flex: none;
    }
    .company_title img {
        width: 300px;
    }

    ;
    /* .company_title p {
        font-size: 50px;
        font-weight: 700;
    } */
}

@media (max-width: 767px) {
    .login_container .headline {
        margin-bottom: 20px;
        font-size: 22px;
    }

    .login_container .login_area {
        width: 370px;
        padding: 50px 80px 55px;
        margin: 0 auto;
    }

    .company_title {
        width: 100%;
        margin: 0;
    }
}

@media (max-width: 586px) {
    .login_container .login_area {
        width: 80%;
        padding: 50px 50px 55px;
    }

    .login_container form fieldset input {
        padding: 12px 20px;
    }

    .login_container form fieldset .btn_login {
        padding: 12px 30px;
        font-size: 19px;
    }

    .login_container .checkbox input {
        width: 18px;
        height: 18px;
    }
}

@media (max-width: 525px) {
    .inner {
        width: 100%;
        margin: 0;
    }

    .login_container {
        position: relative;
        background: url(../../common/img/login_img.webp) no-repeat 70% 100%/cover;
    }

    /* .login_container::before{
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #ffffffa4;
    } */
    /* .company_area {
        background-color: rgba(0, 0, 0, 0.4);
    } */

    .company_title img {
        width: 230px;
    }

    /* .login_container .form_title {
        color: #fff;
    }
    .login-footer {
        color: #fff;
    }
    .login_container form fieldset .form-group label, .checkbox label {
        color: #fff;
    } */
    .login_container::after {
        display: none;
    }

    .login_container .login_area {
        width: calc(100% - 40px);
        padding: 40px 20px;
        border-radius: 40px;
        box-sizing: border-box;
        /* background: rgba(255, 255, 255, 0.4); */
    }

    .login_container .headline {
        font-size: 20px;
    }

    .login_container form fieldset .btn_login {
        font-size: 18px;
    }

    .login_container form fieldset input {
        width: 100%;
        background: #fff;
        border: 1px solid var(--#d4dbe0);
    }

    .login_container .checkbox {
        margin-top: 10px;
    }

    .login_container .checkbox input {
        width: 15px;
        height: 15px;
    }

}

@media (max-width: 400px) {
    .login_container .form_title {
        font-size: 25px;
    }

    .company_title img {
        width: 200px;
    }
}

@media (max-height: 900px) {
    .inner {
        gap: 30px;
    }
}
@media (max-height: 700px) {
    .inner {
        gap: 15px;
    }
}